Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.annotation
Class SourceForeignKey

    java.lang.Object
      unity.annotation.SourceKey
          unity.annotation.SourceForeignKey

Direct Known Subclasses:
  AnnotatedSourceForeignKey

    public class SourceForeignKey

extends SourceKey

Constructor Summary
`SourceForeignKey(SourceTable table)`
`SourceForeignKey(SourceTable table, java.util.ArrayList keyFields, java.util.ArrayList newKeyNames, java.lang.String keyName, java.lang.String toTableName)`

Method Summary
`java.util.ArrayList` | `getFieldNames()`
`SourceKey` | `getToKey()`
`SourceTable` | `getToSourceTable()`
`java.lang.String` | `getToTableName()`
`java.lang.String` | `keyTypeToXML()`
`void` | `setFieldNames(java.util.ArrayList fields)`
`void` | `setToKey(SourceKey key)`
`void` | `setToSourceTable(SourceTable st)`
`void` | `setToTableName(java.lang.String name)`
`java.lang.String` | `toString()`
`java.lang.String` | `toXML()`

Methods inherited from class unity.annotation.SourceKey
`addField, getFields, getKeyType, getName, getTable, matchKeyFields, setKeyType, setName, setTable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SourceForeignKey

    public SourceForeignKey(SourceTable table)

### SourceForeignKey

    public SourceForeignKey(SourceTable table,
                            java.util.ArrayList keyFields,
                            java.util.ArrayList newKeyNames,
                            java.lang.String keyName,
                            java.lang.String toTableName)

Method Detail

### getToTableName

    public java.lang.String getToTableName()

### setToTableName

    public void setToTableName(java.lang.String name)

### getFieldNames

    public java.util.ArrayList getFieldNames()

### setFieldNames

    public void setFieldNames(java.util.ArrayList fields)

### getToSourceTable

    public SourceTable getToSourceTable()

### setToSourceTable

    public void setToSourceTable(SourceTable st)

### getToKey

    public SourceKey getToKey()

### setToKey

    public void setToKey(SourceKey key)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SourceKey`

### keyTypeToXML

    public java.lang.String keyTypeToXML()

  Overrides:
    `keyTypeToXML` in class `SourceKey`

### toXML

    public java.lang.String toXML()

  Overrides:
    `toXML` in class `SourceKey`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD